Last Comment Bug 568516 - (html5) Finish HTML5
(html5)
: Finish HTML5
Status: REOPENED
: meta
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: unspecified
: All All
: -- normal with 60 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Andrew Overholt [:overholt]
Mentors:
http://www.w3.org/TR/html5/
Depends on: ruby html5forms html5bidi webvtt 670898 678460 723008 746087 dialog-element 847376 872098 1095549 92264 framesandbox 414064 485377 html5-parsing-land 508725 dataset 566348 591737 601912 613149 617528 617532 629801 802157 802895 813034 820508 827160 833385 1009935 1099871 1206845 1294957
Blocks: whatwg 1267036
  Show dependency treegraph
 
Reported: 2010-05-27 09:41 PDT by Christopher Blizzard (:blizzard)
Modified: 2016-09-09 15:55 PDT (History)
70 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
giga.filezilla. (44.55 KB, application/octet-stream)
2011-05-17 20:45 PDT, gilma gamez lopez
no flags Details
plataforma trabajo alumna uned (142 bytes, patch)
2011-05-18 10:28 PDT, gilma gamez lopez
no flags Details | Diff | Splinter Review

Description User image Christopher Blizzard (:blizzard) 2010-05-27 09:41:24 PDT
Firefox already has the best HTML5 support on the planet.  Let's go finish it.
Comment 1 User image :Ms2ger (⌚ UTC+1/+2) 2010-05-27 09:56:25 PDT
Isn't this what the html5 keyword is for?
Comment 2 User image Boris Zbarsky [:bz] (still a bit busy) 2010-05-27 10:32:45 PDT
I'm not sure you can "finish" something that's constantly getting features added....
Comment 3 User image d 2010-05-27 10:56:45 PDT
(In reply to comment #2)
> I'm not sure you can "finish" something that's constantly getting features
> added....

There will probably be a feature freeze in 2012 when it comes to HTML5. As new features are added to the spec, they will be added as dependencies of this bug.
Comment 4 User image Christopher Blizzard (:blizzard) 2010-05-27 10:57:51 PDT
This is a tracking bug, please respect it as such.
Comment 5 User image Xavier Robin 2010-06-07 08:54:15 PDT
Maybe bug 92264 should block this one?
Comment 6 User image Guttorm Flatabø 2010-09-17 14:50:27 PDT
Bug #498253 is html5, but maybe there's another html5 audio/video tracking bug?
Comment 7 User image Allan Gardner (:Mathnerd314) 2011-03-24 15:06:11 PDT
This should depend on bug 341604 as well.
Comment 8 User image gilma gamez lopez 2011-05-17 20:45:04 PDT
Created attachment 533159 [details]
giga.filezilla.

giga.ste de gilma gamez con filezilla y otras yerbas
Comment 9 User image gilma gamez lopez 2011-05-18 10:28:24 PDT
Created attachment 533321 [details] [diff] [review]
plataforma trabajo alumna uned

espero no meter la pata  con el 533159: giga.filezill
Comment 10 User image antistress 2011-06-11 16:20:38 PDT
This should also depend on Bug 629350
Comment 11 User image sfornengo 2011-12-26 03:39:24 PST
I am really disappointed when I read things like "Firefox already has the best HTML5 support on the planet".
For example, for months and even years, for the end user, Firefox claims best HTML5 support and just displays a text input for the input type=range, the input type=number, the input type=date, the input type=color, ...
Hey guys, open your eyes, look at other browsers (eg:chromium): Firefox is a great browser but is lagging behind on HTML5 support.
Comment 12 User image Boris Zbarsky [:bz] (still a bit busy) 2011-12-26 07:11:39 PST
sfornengo@gmail.com, our support for form controls is generally very _diferent_ from chromium's: we don't support all the types yet, but the ones we do support we support fully instead of half-assed broken implementations which seems to be the chromium approach.

Of course if one does just a cursory glance instead of actually testing the behavior of the inputs chromium's approach seems to have "better support".
Comment 13 User image sfornengo 2011-12-26 07:57:14 PST
yeah, that's the problem !
for millions and millions of ordinary users, Firefox just seems to have "poor support" of HTML5 form controls and loses its image although I want to believe that behind the scene it roxx.
Comment 14 User image Mounir Lamouri (:mounir) 2011-12-26 09:21:07 PST
(In reply to sfornengo from comment #13)
> yeah, that's the problem !
> for millions and millions of ordinary users, Firefox just seems to have
> "poor support" of HTML5 form controls and loses its image although I want to
> believe that behind the scene it roxx.

First of all, I believe this kind of discussion isn't appropriate in a bug. If you want to have a positive discussion, you should try to go to our mailing-lists/newsgroups [1]. For example, mozilla.wishlist or if you would like to understand why and how to help, mozilla.dev.platform or mozilla.dev.tech.dom.

This said, I think you can't assume users believe we have poor HTML5 Forms controls support based on the fact some input types are not yet implemented. First, they have no idea what HTML5 Forms is. In addition, even if we had a full HTML5 Forms support, they wouldn't see the difference because it's rarely used (even features widely implemented by UAs). To notice we don't support those types you must be a web developer.

If you want to discuss this further, please use a more appropriate communication channel.

[1] https://www.mozilla.org/about/forums/
Comment 15 User image xunxun 2013-06-06 09:44:38 PDT
HTML 5.1 is in W3C Working Draft 28 May 2013

http://www.w3.org/TR/2013/WD-html51-20130528/

Don't know whether the keyword HTML5 should be replaced with HTML5.1 

=> (html5.1) Finish HTML5.1
Comment 16 User image :Ms2ger (⌚ UTC+1/+2) 2013-06-06 09:49:59 PDT
This bug hasn't served a purpose for quite a while.
Comment 17 User image Tantek Çelik 2013-06-06 12:57:23 PDT
Ms2ger - it's served the same purpose it always has, as a tracking bug for everything in HTML5. 

HTML5 is now a CR (URL added) so it is unlikely that any new features will go into it (they'll likely go into HTML5.1 instead), thus this bug is now particularly helpful as it's something that's realistically finishable.

Being able to state that Firefox has a complete implementation of HTML5 is useful for our own documentation (DevMo), marketing, evangelism, and 3rd party web authors/designers/developers, book authors etc.

xunxun - no the keyword HTML should not be replaced with HTML5.1. If you want to open a separate Finish HTML5.1 tracking bug please go ahead and add specifics to it that are in 5.1 beyond 5.0.
Comment 18 User image Tim Nguyen :ntim 2013-09-13 14:27:38 PDT
Here's the priority of the things that should be implemented :
P1 :
- html 5 forms including related CSS (as a web developer, I hate using polyfills for those)
- html 5 dropzone attr.
- Seamless Iframes

P2 :
- Shared Workers
- Video subtitle support

That's just what's missing in Firefox to support all HTML 5. Chrome has the harder stuff left, while Firefox has the easy stuff left.
Comment 19 User image :Ms2ger (⌚ UTC+1/+2) 2014-11-15 08:02:30 PST
HTML5 is a REC.
Comment 20 User image Gordon P. Hemsley [:GPHemsley] 2014-11-15 08:24:07 PST
(In reply to :Ms2ger from comment #19)
> HTML5 is a REC.

This is a Mozilla implementation bug, not a W3C process bug. ;)
Comment 21 User image Tantek Çelik 2014-11-15 08:53:47 PST
>This is a Mozilla implementation bug
Indeed.
Comment 22 User image timse201 2016-08-13 05:05:42 PDT
depends on Bug 1245021
Comment 23 User image David Bruant 2016-08-13 10:25:10 PDT
(In reply to Tantek Çelik from comment #17)
> Ms2ger - it's served the same purpose it always has, as a tracking bug for
> everything in HTML5. 
> 
> HTML5 is now a CR (URL added) so it is unlikely that any new features will
> go into it (they'll likely go into HTML5.1 instead), thus this bug is now
> particularly helpful as it's something that's realistically finishable.

I think that at this point it's clear to everyone interested enough in the matter that versioning on the web is a failure. "Authors" deal with the browsers that are actually released, not the things described in the snapshot W3C specs.
And specs still catch up with reality rather than the other way around. A very recent instance of this: https://github.com/w3c/webcomponents/issues/544

The human organization model around specs that work on the web is living documents, because that's the only way to make the spec the closest to what authors should care about. This is not the model the W3C chooses.


> Being able to state that Firefox has a complete implementation of HTML5 is
> useful for our own documentation (DevMo), marketing, evangelism, and 3rd
> party web authors/designers/developers, book authors etc.

https://www.w3.org/TR/html5/ is now almost 2 years old. This means that it contains elements which are known to be wrong and have been since fixed in https://html.spec.whatwg.org/multipage/ and browsers.
Not only Firefox implementing https://www.w3.org/TR/html5/ will not happen because of spec bugs (so this goal is not "finishable" by any honest meaning of the term), but Mozilla stating Firefox has a "complete implementation of HTML5" would be probably hurtful to some degree. 

The marketing around "HTML5" has done its course. Long live Progressive Web Applications!

This bug should probably be closed because it's misleading.
Comment 24 User image timse201 2016-08-13 11:22:00 PDT
thats true
but we should keep one tracking bug to just make it easy for users and developers to keep an eye on what is going on

if this bug willl be closed we should transfer the bugs here to the new tracking bug

like bug #802882 which already exists

Note You need to log in before you can comment on or make changes to this bug.